## thermorawfileparser 1.2.3-2

=== CMakeLists.txt ===


# xbuild /p:Configuration=Release ThermoRawFileParser.csproj
cmake_minimum_required(VERSION 3.0)

#project(ThermoRawFileParser CSharp)
project(thermorawfileparser VERSION 1.2.3)
#set (SOURCES Program.cs)
#add_executable(${PROJECT_NAME} ${SOURCES})
#set_property(TARGET ${PROJECT_NAME} PROPERTY VS_DOTNET_REFERENCES "System;System.Core;System.Data;System.Data.DataSetExtensions;System.Drawing;System.Net.Http;System.Xml;System.Xml.Linq")
#set_property(TARGET ${PROJECT_NAME} PROPERTY VS_DOTNET_REFERENCE_MyLib "packages/MyLib.dll")


# Packager
set(CPACK_PACKAGE_NAME ${PROJECT_NAME})
set(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
set(CPACK_PACKAGE_VERSION "${PROJECT_VERSION}")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "ThermoRawFileParser")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/THERMO_LICENSE")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.git"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "^\\\\/bin/"
 "^\\\\/build/"
 "^\\\\/cbuild/"
 ${CPACK_SOURCE_IGNORE_FILES}
)
#cmake ..
#make deb
# scp thermorawfileparser* proteus.moulon.inra.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default

configure_file (${CMAKE_SOURCE_DIR}/thermorawfileparser.cmake ${CMAKE_SOURCE_DIR}/thermorawfileparser)


set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
include(CPack)

add_custom_target(targz
	cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${PROJECT_VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating .tar.gz" VERBATIM
)


add_custom_target(deb
	cd ${CPACK_PACKAGE_NAME}-${PROJECT_VERSION} && dpkg-buildpackage
	DEPENDS targz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating Debian package" VERBATIM
)

#xbuild /p:Configuration=Release ThermoRawFileParser.csproj
add_custom_target(xbuild ALL
	xbuild /p:Configuration=Release ThermoRawFileParser.csproj
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	COMMENT "Csharp compilation" VERBATIM
)

install(PROGRAMS ${CMAKE_SOURCE_DIR}/thermorawfileparser DESTINATION bin)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/bin/Release/ DESTINATION share/thermorawfileparser)
