=== debian/changelog ===
thermorawfileparser (1.2.3-2) buster; urgency=medium

  * precursor intensity added from uvdata

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 22 Jul 2020 15:44:10 +0200

thermorawfileparser (1.2.3-1) buster; urgency=medium

  * first thermorawfileparser package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 21 Jun 2020 07:40:17 +0200

thermorawfileparser (1.2.3-0) buster; urgency=medium

  * first package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 20 Jun 2020 23:49:25 +0200
