=== debian/control ===
Source: thermorawfileparser
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: https://github.com/compomics/ThermoRawFileParser
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               mono-xbuild
Standards-Version: 3.9.8

Package: thermorawfileparser
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mono-runtime
Pre-Depends: ${misc:Pre-Depends}
Description: thermorawfileparser
